@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400&display=swap");

a {
  text-decoration: none !important;
}

.CareersHeading {
  padding-top: 100px;
  text-align: center;
  color: #11555a;
}

.careers {
  display: flex;
  flex-wrap: wrap;
  padding-bottom: 50px;
  justify-content: space-evenly;
}

.career {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px,
    rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
  border-radius: 25px;
  width: 40rem;
  margin: 1rem;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  justify-content: center;
}

.article {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px,
    rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
  width: 40rem;
  margin: 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  justify-content: center;
}

.article:hover {
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}

.article:hover .featuredImage {
  transform: scale(0.9); /* Scale image on parent hover */
  opacity: 0.9; /* Optional: Make image fully visible */
  transition: transform 1s ease, opacity 1s ease;
}

.articleTitle {
  font-size: 1.3rem;
  border-bottom: 2px solid white;
}

.articleDetail {
  opacity: 0.8;
  font-weight: 100;
}

.featuredImage {
  opacity: 0.5;
}

.articleImage {
  width: 250px;
  height: 180px;
}

.career:hover {
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.career .careerBox {
  color: white;
  padding: 0.5rem;
  border-radius: 20px;
  width: 80%;
}

.careerBox .careerTitle {
  font-size: 1.5rem;
  font-weight: 500;
}

.postHeading {
  border-bottom: 2px solid white;
  margin-bottom: 2px;
}

.careerBox .careerInfo {
  font-size: 1rem;
  font-weight: 100;
}

.careerPublishedDate {
  font-size: 1rem;
}

.careerApply {
  padding: 4.5rem 2rem;
}

.careerBtn {
  font-size: 1.2rem;
  font-weight: 600;
  background-color: #ff9d29;
  text-align: center;
  border-radius: 25px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px,
    rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
  padding: 10px 10px;
  text-decoration: none;
  color: white;
  margin: 1rem;
}

.careerBtn:hover {
  color: black;
}

.art {
  padding: 0rem 3rem;
}

.art-s{
  margin-left: 1rem;
}

.art-title {
  font-size: 2rem;
  font-weight: 600;
}

.art-card {
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.art-card:hover {
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.posts-heading {
  width: 100%;
}

@media (max-width: 900px) {
  .careerBox .careerTitle {
    font-size: 0.8rem;
    font-weight: 500;
  }

  .careerBox .careerInfo {
    font-size: 0.8rem;
    font-weight: 100;
  }

  .careerPublishedDate {
    font-size: 0.5rem;
  }

  .career,
  .article {
    width: 20rem;
  }

  .articleTitle {
    font-size: 0.8rem;
    border-bottom: 2px solid white;
  }

  .articleDetail {
    font-size: 0.6rem;
  }

  .articleImage {
    width: 250px;
    height: 140px;
  }

  .art {
    padding: 0rem 1.5rem;
  }

  .art-s{
    margin-left: 0rem;
  }
  

  .art-title {
    font-size: 1.3rem;
    font-weight: 600;
  }
}
